<?php
/**
 * Level module
 * 
 * Provide information regarding latest administration tasks
 * 
 * @package linea21\core\level
 * @author $Author$ - linea21 <info@linea21.com>
 * @version $Id$ 
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages ////////////
if (!class_exists('auth')){
  include_once("../lib/lib_common.php");
  ReloadIndex('admin');
}
////////////

//////////// Check Droits utilisateur ////////////
if (!$l21auth->isSuperAdmin()) ReloadIndex('admin');
////////////

$qbx_module = _t('menu','level');

if ($todo == 'add') {
  $result = $sql_object->DBSelect( SQL_getLevelListQ('add') );
  $qbx_liste = '';
  $nb = '';
  if ($result == 0) {
    $qbx_liste .= "<li class=\"no-data\">" . _t('divers','nodata') . "</li>";
  } else {
    if (count($result) >= 10) $nb = 10;
    else $nb = count($result);
    for($i = 0; $i < count($result); $i++) {
      $qbx_level_title = formatText(cutText($result[$i]['level_name'], 50), '2HTML');
      $qbx_liste .= "<li><a href=\"index.php?id=" . $result[$i]['level_id'] . "&amp;rub=" . $rub . "&amp;todo=det\" title=\"" . _t('divers','date_crea') . ": " . $result[$i]['level_date_crea_display'] . " \">" . $qbx_level_title . "</a></li>\n";
    }
  }
  $qbx_h1 = $nb  . _t('level','qb_titleadd');
}

if ($todo == 'mod' || $todo == 'list' || $todo == 'det') {
  $result = $sql_object->DBSelect( SQL_getLevelListQ('mod') );
  $qbx_liste = '';
  $nb = '';
  if ($result == 0) {
    $qbx_liste .= "<li class=\"no-data\">" . _t('divers','nodata') . "</li>";
  } else {
    if (count($result) >= 10) $nb = 10;
    else $nb = count($result);
    for($i = 0; $i < count($result); $i++) {
      $qbx_level_title = formatText(cutText($result[$i]['level_name'], 50), '2HTML');
      $qbx_liste .= "<li><a href=\"index.php?id=" . $result[$i]['level_id'] . "&amp;rub=" . $rub . "&amp;todo=det\" title=\"" . _t('divers','last_modify') . " " . $result[$i]['level_last_modify_display'] . " - (" . _t('divers','date_crea') . ": " . $result[$i]['level_date_crea_display'] . ") \">" . $qbx_level_title . "</a></li>\n";
    }
  }
  $qbx_h1 = $nb . _t('level','qb_titlemod');
}

if ($todo == 'sup') {
  $result = $sql_object->DBSelect( SQL_getLevelListQ('del') );
  $qbx_liste = '';
  $nb = '';
  if ($result == 0) {
    $qbx_liste .= "<li class=\"no-data\">" . _t('divers','nodata') . "</li>";
  } else {
    if (count($result) >= 10) $nb = 10;
    else $nb = count($result);
    for($i = 0; $i < count($result); $i++) {
      $qbx_level_title = formatText(cutText($result[$i]['level_name'], 50), '2HTML');
      $qbx_liste .= "<li><a href=\"#\" title=\"" . _t('divers','date_sup') . " " . $result[$i]['level_last_modify_display'] . " - (" . _t('divers','date_crea') . ": " . $result[$i]['level_date_crea_display'] . ") \">" . $qbx_level_title . "</a></li>\n";
    }
  }
  $qbx_h1 = $nb . _t('level','qb_titlesup');
}

echo QuickBoxNow($qbx_module, $qbx_h1, $qbx_liste);
?>